LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
XMetadatable Interface Reference

marks an object representing an ODF element that may have RDF meta data attached. More...

`import"XMetadatable.idl";`

Inheritance diagram for XMetadatable:

## Public Member Functions
void | ensureMetadataReference ()
| creates a metadata reference for this object, if necessary. More...

## Public Attributes
com::sun::star::beans::StringPair | MetadataReference { set raises(com::sun::star::lang::IllegalArgumentException); }
| a metadata reference, comprising the stream name and the XML ID. More...
Public Attributes inherited from XURI
string | Namespace
| prefix More...
string | LocalName
| suffix More...
Public Attributes inherited from XNode
string | StringValue
| the string value of the node. More...

## Detailed Description

marks an object representing an ODF element that may have RDF meta data attached.

To make using ODF elements as part of RDF statements more convenient, this interface inherits from XURI. The URI is constructed by concatenating the URI of the document, the stream name, a fragment separator, and the XML ID.

Note that using the XURI interface on an instance of XMetadatable may have the side effect of creating a metadata reference for the instance.

Since
  OOo 3.2

See also
  XRepository
  XDocumentMetadataAccess

## Member Function Documentation

void ensureMetadataReference | ( |  | ) |

creates a metadata reference for this object, if necessary.

If this object already has a metadata reference, do nothing; otherwise, create metadata reference with a fresh, unique XML ID and assign it to the MetadataReference attribute.

## Member Data Documentation

com::sun::star::beans::StringPair MetadataReference
set raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |
| attribute

a metadata reference, comprising the stream name and the XML ID.

Note that this metadata reference must be unique for the ODF document. This implies that the XML ID part must be unique for every stream. A pair of two empty strings signifies "no metadata reference". For example: Pair("content.xml", "foo-element-1")

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the given metadata reference is invalid, or not unique

The documentation for this interface was generated from the following file:

- com/sun/star/rdf/XMetadatable.idl